package cn.superdesk.uniorder.dao.entity.operationCenter.accounting;

import java.math.BigDecimal;
import java.util.Date;

public class UnifiedAccountingOrder {
    private Long id;

    private Integer orderBizTypeId;

    private String bizOrderId;

    private String orderSn;

    private String parentOrderSn;

    private String parentOrderId;

    private String thirdPartyOrderSn;

    private String bizPlatformCode;

    private String bizPlatformName;

    private String orderTypeCode;

    private String orderTypeName;

    private Date orderCreateTime;

    private Date tradingTime;

    private Date sendTime;

    private Date finishTime;

    private String operatorId;

    private String operatorName;

    private String orgId;

    private String orgName;

    private String enterpriseId;

    private String enterpriseName;

    private String buyerId;

    private String buyerName;

    private String buyerDeptId;

    private String buyerDeptName;

    private String buyerMobile;

    private String supplierId;

    private String supplierName;

    private BigDecimal orderGoodsAmount;

    private BigDecimal orderNegotiatedAmount;

    private BigDecimal orderPrice;

    private BigDecimal orderSettlementAmount;

    private BigDecimal orderCostPrice;

    private BigDecimal transportAmount;

    private BigDecimal merchantTransportAmount;

    private BigDecimal discountAmount;

    private Integer platformAftersaleStatusId;

    private Integer platformAftersaleTypeId;

    private String platformAftersaleType;

    private String bizOrderPayTypeId;

    private String bizOrderPayType;

    private Long platformPayTypeId;

    private String platformPayType;

    private Integer orderPayStatus;

    private String bizOrderStatusId;

    private String bizOrderStatusName;

    private Integer transactionStatusId;

    private String orderRemark;

    private String merchantRemark;

    private String consignee;

    private String consigneeMobile;

    private String consigneeAddress;

    private String consigneeAddressId;

    private String street;

    private String addressDetail;

    private String distributionTypeId;

    private String distributionType;

    private String expressCode;

    private String expressName;

    private String expressTrackingNo;

    private String refundOriginOrderSn;

    private Date createTime;

    private String createUserId;

    private String updateUserId;

    private Date updateTime;

    private Integer deleted;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getOrderBizTypeId() {
        return orderBizTypeId;
    }

    public void setOrderBizTypeId(Integer orderBizTypeId) {
        this.orderBizTypeId = orderBizTypeId;
    }

    public String getBizOrderId() {
        return bizOrderId;
    }

    public void setBizOrderId(String bizOrderId) {
        this.bizOrderId = bizOrderId;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    public String getParentOrderSn() {
        return parentOrderSn;
    }

    public void setParentOrderSn(String parentOrderSn) {
        this.parentOrderSn = parentOrderSn;
    }

    public String getParentOrderId() {
        return parentOrderId;
    }

    public void setParentOrderId(String parentOrderId) {
        this.parentOrderId = parentOrderId;
    }

    public String getThirdPartyOrderSn() {
        return thirdPartyOrderSn;
    }

    public void setThirdPartyOrderSn(String thirdPartyOrderSn) {
        this.thirdPartyOrderSn = thirdPartyOrderSn;
    }

    public String getBizPlatformCode() {
        return bizPlatformCode;
    }

    public void setBizPlatformCode(String bizPlatformCode) {
        this.bizPlatformCode = bizPlatformCode;
    }

    public String getBizPlatformName() {
        return bizPlatformName;
    }

    public void setBizPlatformName(String bizPlatformName) {
        this.bizPlatformName = bizPlatformName;
    }

    public String getOrderTypeCode() {
        return orderTypeCode;
    }

    public void setOrderTypeCode(String orderTypeCode) {
        this.orderTypeCode = orderTypeCode;
    }

    public String getOrderTypeName() {
        return orderTypeName;
    }

    public void setOrderTypeName(String orderTypeName) {
        this.orderTypeName = orderTypeName;
    }

    public Date getOrderCreateTime() {
        return orderCreateTime;
    }

    public void setOrderCreateTime(Date orderCreateTime) {
        this.orderCreateTime = orderCreateTime;
    }

    public Date getTradingTime() {
        return tradingTime;
    }

    public void setTradingTime(Date tradingTime) {
        this.tradingTime = tradingTime;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public String getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(String operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getBuyerId() {
        return buyerId;
    }

    public void setBuyerId(String buyerId) {
        this.buyerId = buyerId;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getBuyerDeptId() {
        return buyerDeptId;
    }

    public void setBuyerDeptId(String buyerDeptId) {
        this.buyerDeptId = buyerDeptId;
    }

    public String getBuyerDeptName() {
        return buyerDeptName;
    }

    public void setBuyerDeptName(String buyerDeptName) {
        this.buyerDeptName = buyerDeptName;
    }

    public String getBuyerMobile() {
        return buyerMobile;
    }

    public void setBuyerMobile(String buyerMobile) {
        this.buyerMobile = buyerMobile;
    }

    public String getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public BigDecimal getOrderGoodsAmount() {
        return orderGoodsAmount;
    }

    public void setOrderGoodsAmount(BigDecimal orderGoodsAmount) {
        this.orderGoodsAmount = orderGoodsAmount;
    }

    public BigDecimal getOrderNegotiatedAmount() {
        return orderNegotiatedAmount;
    }

    public void setOrderNegotiatedAmount(BigDecimal orderNegotiatedAmount) {
        this.orderNegotiatedAmount = orderNegotiatedAmount;
    }

    public BigDecimal getOrderPrice() {
        return orderPrice;
    }

    public void setOrderPrice(BigDecimal orderPrice) {
        this.orderPrice = orderPrice;
    }

    public BigDecimal getOrderSettlementAmount() {
        return orderSettlementAmount;
    }

    public void setOrderSettlementAmount(BigDecimal orderSettlementAmount) {
        this.orderSettlementAmount = orderSettlementAmount;
    }

    public BigDecimal getOrderCostPrice() {
        return orderCostPrice;
    }

    public void setOrderCostPrice(BigDecimal orderCostPrice) {
        this.orderCostPrice = orderCostPrice;
    }

    public BigDecimal getTransportAmount() {
        return transportAmount;
    }

    public void setTransportAmount(BigDecimal transportAmount) {
        this.transportAmount = transportAmount;
    }

    public BigDecimal getMerchantTransportAmount() {
        return merchantTransportAmount;
    }

    public void setMerchantTransportAmount(BigDecimal merchantTransportAmount) {
        this.merchantTransportAmount = merchantTransportAmount;
    }

    public BigDecimal getDiscountAmount() {
        return discountAmount;
    }

    public void setDiscountAmount(BigDecimal discountAmount) {
        this.discountAmount = discountAmount;
    }

    public Integer getPlatformAftersaleStatusId() {
        return platformAftersaleStatusId;
    }

    public void setPlatformAftersaleStatusId(Integer platformAftersaleStatusId) {
        this.platformAftersaleStatusId = platformAftersaleStatusId;
    }

    public Integer getPlatformAftersaleTypeId() {
        return platformAftersaleTypeId;
    }

    public void setPlatformAftersaleTypeId(Integer platformAftersaleTypeId) {
        this.platformAftersaleTypeId = platformAftersaleTypeId;
    }

    public String getPlatformAftersaleType() {
        return platformAftersaleType;
    }

    public void setPlatformAftersaleType(String platformAftersaleType) {
        this.platformAftersaleType = platformAftersaleType;
    }

    public String getBizOrderPayTypeId() {
        return bizOrderPayTypeId;
    }

    public void setBizOrderPayTypeId(String bizOrderPayTypeId) {
        this.bizOrderPayTypeId = bizOrderPayTypeId;
    }

    public String getBizOrderPayType() {
        return bizOrderPayType;
    }

    public void setBizOrderPayType(String bizOrderPayType) {
        this.bizOrderPayType = bizOrderPayType;
    }

    public Long getPlatformPayTypeId() {
        return platformPayTypeId;
    }

    public void setPlatformPayTypeId(Long platformPayTypeId) {
        this.platformPayTypeId = platformPayTypeId;
    }

    public String getPlatformPayType() {
        return platformPayType;
    }

    public void setPlatformPayType(String platformPayType) {
        this.platformPayType = platformPayType;
    }

    public Integer getOrderPayStatus() {
        return orderPayStatus;
    }

    public void setOrderPayStatus(Integer orderPayStatus) {
        this.orderPayStatus = orderPayStatus;
    }

    public String getBizOrderStatusId() {
        return bizOrderStatusId;
    }

    public void setBizOrderStatusId(String bizOrderStatusId) {
        this.bizOrderStatusId = bizOrderStatusId;
    }

    public String getBizOrderStatusName() {
        return bizOrderStatusName;
    }

    public void setBizOrderStatusName(String bizOrderStatusName) {
        this.bizOrderStatusName = bizOrderStatusName;
    }

    public Integer getTransactionStatusId() {
        return transactionStatusId;
    }

    public void setTransactionStatusId(Integer transactionStatusId) {
        this.transactionStatusId = transactionStatusId;
    }

    public String getOrderRemark() {
        return orderRemark;
    }

    public void setOrderRemark(String orderRemark) {
        this.orderRemark = orderRemark;
    }

    public String getMerchantRemark() {
        return merchantRemark;
    }

    public void setMerchantRemark(String merchantRemark) {
        this.merchantRemark = merchantRemark;
    }

    public String getConsignee() {
        return consignee;
    }

    public void setConsignee(String consignee) {
        this.consignee = consignee;
    }

    public String getConsigneeMobile() {
        return consigneeMobile;
    }

    public void setConsigneeMobile(String consigneeMobile) {
        this.consigneeMobile = consigneeMobile;
    }

    public String getConsigneeAddress() {
        return consigneeAddress;
    }

    public void setConsigneeAddress(String consigneeAddress) {
        this.consigneeAddress = consigneeAddress;
    }

    public String getConsigneeAddressId() {
        return consigneeAddressId;
    }

    public void setConsigneeAddressId(String consigneeAddressId) {
        this.consigneeAddressId = consigneeAddressId;
    }

    public String getStreet() {
        return street;
    }

    public void setStreet(String street) {
        this.street = street;
    }

    public String getAddressDetail() {
        return addressDetail;
    }

    public void setAddressDetail(String addressDetail) {
        this.addressDetail = addressDetail;
    }

    public String getDistributionTypeId() {
        return distributionTypeId;
    }

    public void setDistributionTypeId(String distributionTypeId) {
        this.distributionTypeId = distributionTypeId;
    }

    public String getDistributionType() {
        return distributionType;
    }

    public void setDistributionType(String distributionType) {
        this.distributionType = distributionType;
    }

    public String getExpressCode() {
        return expressCode;
    }

    public void setExpressCode(String expressCode) {
        this.expressCode = expressCode;
    }

    public String getExpressName() {
        return expressName;
    }

    public void setExpressName(String expressName) {
        this.expressName = expressName;
    }

    public String getExpressTrackingNo() {
        return expressTrackingNo;
    }

    public void setExpressTrackingNo(String expressTrackingNo) {
        this.expressTrackingNo = expressTrackingNo;
    }

    public String getRefundOriginOrderSn() {
        return refundOriginOrderSn;
    }

    public void setRefundOriginOrderSn(String refundOriginOrderSn) {
        this.refundOriginOrderSn = refundOriginOrderSn;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    public String getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(String updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleted() {
        return deleted;
    }

    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }
}